2017-12-18 23:14 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001459Orfeo Toolbox (OTB)Generalpublic2017-10-09 14:57
Reportersebastic 
Assigned Togpasero 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001459: Patch to fix spelling errors
DescriptionThe lintian QA tool reported spelling errors for 6.2.0-RC1:

 * allows to -> allows <verb>ing

The attached patch fixes the issues.
TagsNo tags attached.
Attached Files
  • patch file icon spelling-errors.patch (6,598 bytes) 2017-10-06 15:00 -
    Description: Fix spelling errors.
     * allows to -> allows <verb>ing
    Author: Bas Couwenberg <sebastic@debian.org>
    
    --- a/Modules/Applications/AppHyperspectral/app/otbHyperspectralUnmixing.cxx
    +++ b/Modules/Applications/AppHyperspectral/app/otbHyperspectralUnmixing.cxx
    @@ -103,7 +103,7 @@ private:
         "spectrum associated with each pixel is a linear combination of pure"
         "materials in the recovery area, commonly known as endmembers. Endmembers can"
         "be estimated using the VertexComponentAnalysis application.\n\n"
    -    "The application allows to estimate the abundance maps with several algorithms :\n"
    +    "The application allows estimating the abundance maps with several algorithms :\n"
         "  * Unconstrained Least Square (ucls)\n"
                               //"  * Fully Constrained Least Square (fcls)\n"
         "  * Image Space Reconstruction Algorithm (isra)\n"
    --- a/Modules/Applications/AppMathParserX/app/otbBandMathX.cxx
    +++ b/Modules/Applications/AppMathParserX/app/otbBandMathX.cxx
    @@ -74,7 +74,7 @@ private:
           "The list of features and the syntax of muParserX is available at [1].\n\n"
     
           "As opposed to muParser (and thus the BandMath OTB-application [2]), "
    -      "muParserX supports vector expressions which allows to output multi-band "
    +      "muParserX supports vector expressions which allows outputting multi-band "
           "images.\n\n"
     
           "Hereafter is a brief reference of the muParserX syntax\n\n"
    --- a/Modules/Applications/AppStereo/app/otbBlockMatching.cxx
    +++ b/Modules/Applications/AppStereo/app/otbBlockMatching.cxx
    @@ -141,7 +141,7 @@ private:
           "The application searches locally for the displacement between a reference"
           " image and a secondary image. The correspondence is evaluated for each "
           "pixel, based on a pair of local neighborhood windows. The displacement "
    -      "evaluated can be 1D (along lines) or 2D. Parameters allows to set the "
    +      "evaluated can be 1D (along lines) or 2D. Parameters allow setting the "
           "minimum and maximum disparities to search (both for horizontal and "
           "vertical directions). A winner-take-all approach is used to select the "
           "best match. There are different metrics implemented to evaluate the "
    --- a/Modules/Visualization/MonteverdiGui/include/mvdImageViewWidget.h
    +++ b/Modules/Visualization/MonteverdiGui/include/mvdImageViewWidget.h
    @@ -163,7 +163,7 @@ public:
       void SetPickingEnabled( bool );
     
       /**
    -   * This allows to set the fallback behaviour for picking
    +   * This allows setting the fallback behaviour for picking
        */
       void SetPickingDefaultStatus( bool );
       /**
    --- a/Modules/Wrappers/ApplicationEngine/include/otbWrapperCompositeApplication.h
    +++ b/Modules/Wrappers/ApplicationEngine/include/otbWrapperCompositeApplication.h
    @@ -32,7 +32,7 @@ namespace Wrapper
     /** \class CompositeApplication
      *  \brief This class is a base class for composite applications
      *
    - * This class allows to create & store internal applications with the same logic
    + * This class allows creating & storing internal applications with the same logic
      * as parameters. You choose the application type to create, you choose an
      * identifier (alphanumeric string), and you can give a short description.
      * Later, you will refer to this application using the identifier. In the
    --- a/Modules/Wrappers/ApplicationEngine/include/otbWrapperProxyParameter.h
    +++ b/Modules/Wrappers/ApplicationEngine/include/otbWrapperProxyParameter.h
    @@ -35,7 +35,7 @@ namespace Wrapper
      * \brief Parameter class acting as a proxy to a different parameter
      *
      * The target parameter of this proxy is defined as a pair of a group parameter
    - * containing the target and the targets key. It allows to define proxies on
    + * containing the target and the targets key. It allows defining proxies on
      * parameters that may be themselves replaced by a proxy
      *
      * \ingroup OTBApplicationEngine
    --- a/Packaging/makeself/README.md
    +++ b/Packaging/makeself/README.md
    @@ -128,7 +128,7 @@ Archives generated with Makeself can be
     
       * _--keep_ : Prevent the files to be extracted in a temporary directory that will be removed after the embedded script's execution. The files will then be extracted in the current working directory and will stay here until you remove them.
       * _--verbose_ : Will prompt the user before executing the embedded command
    -  * _--target dir_ : Allows to extract the archive in an arbitrary place.
    +  * _--target dir_ : Allows extracting the archive in an arbitrary place.
       * _--nox11_ : Do not spawn a X11 terminal.
       * _--confirm_ : Prompt the user for confirmation before running the embedded command.
       * _--info_ : Print out general information about the archive (does not extract).
    --- a/Modules/Visualization/MonteverdiGui/include/mvdProjectionBarWidget.h
    +++ b/Modules/Visualization/MonteverdiGui/include/mvdProjectionBarWidget.h
    @@ -69,7 +69,7 @@ class ProjectionBarWidget;
      * \ingroup OTBMonteverdiGUI
      * \brief ProjectionBarWidget widget class.
      *
    - * This Widget allow to change the zoom level of the current selected projection.
    + * This Widget allows changing the zoom level of the current selected projection.
      */
     class OTBMonteverdiGUI_EXPORT ProjectionBarWidget : public QWidget
     {
    --- a/Packaging/CMakeLists.txt
    +++ b/Packaging/CMakeLists.txt
    @@ -63,7 +63,7 @@ find_program(ZIP_EXECUTABLE NAMES 7z 7za
     set(CMAKE_INSTALL_PREFIX "${SUPERBUILD_INSTALL_DIR}")
     
     #set CMAKE_MODULE_PATH to be the current source directory.
    -# This will allow to include all cmake files without full path and .cmake extension!
    +# This will allow including all cmake files without full path and .cmake extension!
     set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
     
     #include superbuild_macro for get_version()
    --- a/Modules/Applications/AppSegmentation/app/otbLargeScaleMeanShift.cxx
    +++ b/Modules/Applications/AppSegmentation/app/otbLargeScaleMeanShift.cxx
    @@ -64,7 +64,7 @@ private:
           "This application can be a preliminary step for an object-based analysis.\n\n"
           "It generates a vector data file containing the regions extracted with "
           "the MeanShift algorithm. The spatial and range radius parameters allow "
    -      "to adapt the sensitivity of the algorithm depending on the image dynamic "
    +      "adapting the sensitivity of the algorithm depending on the image dynamic "
           "and resolution. There is a step to remove small regions whose size "
           "(in pixels) is less than the given 'minsize' parameter. These regions "
           "are merged to a similar neighbor region. In the output vectors, there "
    
    patch file icon spelling-errors.patch (6,598 bytes) 2017-10-06 15:00 +

-Relationships
+Relationships

-Notes

~0004355

gpasero (administrator)

Thanks for the patch. It has been pushed to the release-6.2 branch :
https://git.orfeo-toolbox.org/otb.git/commit/dd88866a4a072102577b591f226d227d77230c89
+Notes

-Issue History
Date Modified Username Field Change
2017-10-06 15:00 sebastic New Issue
2017-10-06 15:00 sebastic File Added: spelling-errors.patch
2017-10-09 14:57 gpasero Note Added: 0004355
2017-10-09 14:57 gpasero Status new => resolved
2017-10-09 14:57 gpasero Resolution open => fixed
2017-10-09 14:57 gpasero Assigned To => gpasero
+Issue History